<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="cn.reghao.oss.store.db.mapper.FileTypeMapper">
    <insert id="save" useGeneratedKeys="true" keyProperty="id">
        insert into file_type
        (`id`,`code`,`name`,`icon`,`icon_large`)
        values
        (#{id},#{code},#{name},#{icon},#{iconLarge})
    </insert>

    <select id="findAll" resultType="cn.reghao.oss.store.model.po.FileType">
        select * from file_type
    </select>
</mapper>
